@import url('https://fonts.googleapis.com/css2?family=Baloo+Bhaina+2&family=Roboto:wght@300&display=swap');

* {
    margin: 0;
    padding: 0;
}

nav {
    background-color: rgb(40, 9, 49);
    color: white;
    height: 65px;
    display: flex;
    align-items: center;
    font-size: 27px;
    padding: 0 12px;
    font-family: 'Roboto', sans-serif;
    font-weight: bold;
}

nav ul {
    list-style-type: none;
}

.gameContainer {
    display: flex;
    justify-content: center;
    margin-top: 50px;

}

.container {
    display: grid;
    grid-template-rows: repeat(3, 10vw);
    grid-template-columns: repeat(3, 10vw);
    font-family: 'Roboto', sans-serif;
    position: relative;
}

.box {
    border: 2px solid black;
    font-size: 8vw;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
}

.box:hover {
    background-color: rgb(239, 231, 246);
}

.info {
    font-size: 22px;
    font-family: 'Baloo Bhaina 2', sans-serif;
}

.gameInfo {
    padding: 0 34px;
    font-family: 'Baloo Bhaina 2', cursive;
}

.gameInfo h1{
    font-size: 1.5rem;
}

.imgbox img {
    width: 0;
    transition: width 1s ease-in-out;
}

/* utility classes */
.br-0 {
    border-right: 0;
}

.bl-0 {
    border-left: 0;
}

.bt-0 {
    border-top: 0;
}

.bb-0 {
    border-bottom: 0;
}

.backgroundColor{
    background-color: rgb(153, 237, 117);
}

#reset {
    margin: 0 23px;
    padding: 3px 18px;
    border-radius: 6px;
    cursor: pointer;
    font-family: 'Roboto', sans-serif;
    font-size: 15px;
    font-weight: bold;
}

#reset:hover{
    background-color: rgb(210, 143, 231);
}

.infoandbtn{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.line{
    background-color: black;
    height: 3px;
    width: 0;
    position: absolute;
    background-color: rgb(40, 9, 49);
    transition: width 1 ease-in-out;
}

@media screen and (max-width: 950px) {
    .gameContainer{
        flex-wrap: wrap;
    }
    .gameInfo{
        margin-top: 70px;
        text-align: center;
        align-items: center;
        justify-content: center;
    }
    .gameInfo h1{
        font-size: 1.5rem;
        text-align: center;
    }
    .container{
        display: grid;
        grid-template-rows: repeat(3, 20vw);
        grid-template-columns: repeat(3, 20vw);
    }
    .line{
        display: none;
    }
    
}